Retrieve External Entities from Destination - m3ter Documentation
Retrieve External Entities from Destination
cURL
curl --request GET \
--url https://api.m3ter.com/organizations/{orgId}/externalmappingconfiguration/values/{destination}/{entityType} \
--header 'Authorization: Bearer <token>'
import requests
url = "https://api.m3ter.com/organizations/{orgId}/externalmappingconfiguration/values/{destination}/{entityType}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.m3ter.com/organizations/{orgId}/externalmappingconfiguration/values/{destination}/{entityType}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


Response Codes
- 200: Success
- 4XX: Client Error
- 5XX: Server Error
Response Structure
[
{
"externalId": "<string>",
"externalName": "<string>"
}
]
{
"message": "<string>"
}
Authorizations
Authorization: string (header, required)
m3ter supports machine to machine authentication using the clientCredentials OAuth2 flow. The authorizationCode flow controls access for human users via the m3ter Console application.
Path Parameters
orgId: string (required)
The unique identifier (UUID) of your organization, representing your company as a direct customer of our service.destination: string (required)
The name of the destination system from where the external entities are to be retrieved.entityType: string (required)
The m3ter entity type.
Query Parameters
- externalTable: string
Name of the target external table.
Detailed Response
200 application/json: Returns a list of the external systems entities.
- externalId: string
- externalName: string